/*  
 Date: 10/30/2011
 Author: Honglei Liu <liuhonglei@gmail.com>

 Description: 
 */

#include "output.h"

void writeString(const string &data, const string &filenameData)
{
  ofstream fileData(filenameData.c_str(), ios::out);
  if (!fileData) {
    cerr << "can't open output file \"" << filenameData << "\"" << endl;
    exit(EXIT_FAILURE);
  }

  cerr << "writing \"" << filenameData << "\"...";
  cerr.flush();

  fileData <<data<< endl;

  fileData.close();

  cerr << "OK" << endl;
}


void writeString(const vector<string> &data, const string &filenameData)
{
  ofstream fileData(filenameData.c_str(), ios::out);
  if (!fileData) {
    cerr << "can't open output file \"" << filenameData << "\"" << endl;
    exit(EXIT_FAILURE);
  }

  cerr << "writing \"" << filenameData << "\"...";
  cerr.flush();

  for (vector<string>::const_iterator it = data.begin();
       it !=  data.end(); ++it)
    fileData << *it << endl;

  fileData.close();

  cerr << "OK" << endl;
}
